############################
# On-board BTNR Push-button#
############################
set_property PACKAGE_PIN R18 [get_ports tipke_tri_io[0]]; # BTNR
set_property IOSTANDARD LVCMOS25 [get_ports tipke_tri_io[0]]

set_property PACKAGE_PIN T18 [get_ports tipke_tri_io[1]]; # BTNU
set_property IOSTANDARD LVCMOS25 [get_ports tipke_tri_io[1]]

set_property PACKAGE_PIN N15 [get_ports tipke_tri_io[2]]; # BTNL
set_property IOSTANDARD LVCMOS25 [get_ports tipke_tri_io[2]]

set_property PACKAGE_PIN R16 [get_ports tipke_tri_io[3]]; # BTND
set_property IOSTANDARD LVCMOS25 [get_ports tipke_tri_io[3]]

############################
# VGA PORT pins            #
############################
set_property PACKAGE_PIN AA19 [get_ports hsync]
set_property IOSTANDARD LVCMOS33 [get_ports hsync]

set_property PACKAGE_PIN Y19 [get_ports vsync]
set_property IOSTANDARD LVCMOS33 [get_ports vsync]

set_property PACKAGE_PIN AB20 [get_ports {rgb[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[0]}]
set_property PACKAGE_PIN AB19 [get_ports {rgb[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[1]}]

set_property PACKAGE_PIN AA22 [get_ports rgb[2]]
set_property IOSTANDARD LVCMOS33 [get_ports rgb[2]]
set_property PACKAGE_PIN AB21 [get_ports rgb[3]]
set_property IOSTANDARD LVCMOS33 [get_ports rgb[3]]
set_property PACKAGE_PIN AA21 [get_ports rgb[4]]
set_property IOSTANDARD LVCMOS33 [get_ports rgb[4]]

set_property PACKAGE_PIN U20 [get_ports rgb[5]]
set_property IOSTANDARD LVCMOS33 [get_ports rgb[5]]
set_property PACKAGE_PIN V19 [get_ports rgb[6]]
set_property IOSTANDARD LVCMOS33 [get_ports rgb[6]]
set_property PACKAGE_PIN V18 [get_ports rgb[7]]
set_property IOSTANDARD LVCMOS33 [get_ports rgb[7]]